Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class AnnotationDefault

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Attribute
          org.apache.tomcat.util.bcel.classfile.AnnotationDefault

All Implemented Interfaces:
  Serializable, Cloneable

    public class AnnotationDefault

extends Attribute

represents the default value of a annotation for a method info

Since:
  5.3
Version:
  $Id: AnnotationDefault 1 2005-02-13 03:15:08Z dbrosius $
Author:
  D. Brosius
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`AnnotationDefault(int name_index, int length, DataInputStream file, ConstantPool constant_pool)`
`AnnotationDefault(int name_index, int length, ElementValue defaultValue, ConstantPool constant_pool)`

Method Summary
`Attribute` | `copy(ConstantPool _constant_pool)`
`void` | `dump(DataOutputStream dos)` Dump attribute to file stream in binary format.
`void` | `setDefaultValue(ElementValue defaultValue)`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Attribute
`clone, getName, getTag, readAttribute, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationDefault

    public AnnotationDefault(int name_index,
                             int length,
                             DataInputStream file,
                             ConstantPool constant_pool)
                      throws IOException

Parameters:
  `name_index` - Index pointing to the name Code
  `length` - Content length in bytes
  `file` - Input stream
  `constant_pool` - Array of constants
Throws:
  `IOException`

### AnnotationDefault

    public AnnotationDefault(int name_index,
                             int length,
                             ElementValue defaultValue,
                             ConstantPool constant_pool)

Parameters:
  `name_index` - Index pointing to the name Code
  `length` - Content length in bytes
  `defaultValue` - the annotation's default value
  `constant_pool` - Array of constants

Method Detail

### setDefaultValue

    public final void setDefaultValue(ElementValue defaultValue)

  Parameters:
    `defaultValue` - the default value of this methodinfo's annotation

### copy

    public Attribute copy(ConstantPool _constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

### dump

    public final void dump(DataOutputStream dos)
                    throws IOException

  Description copied from class: `Attribute`
  Dump attribute to file stream in binary format.

  Overrides:
    `dump` in class `Attribute`
  Parameters:
    `dos` - Output file stream
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.